Summary:	ncurses based menu system for character based sessions
Summary(pl.UTF-8):	oparty o ncurses system menu dla sesji terminalowych
Name:		cursedmenu
Version:	1.0.4
Release:	6
License:	GPL v3
Group:		Applications
Source0:	http://dl.sourceforge.net/cursedmenu/%{name}-%{version}.tar.bz2
# Source0-md5:	31e9353ba603b95df3b742bfa3a0ed87
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-build.patch
URL:		http://cursedmenu.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cursed Menu aims to create an ncurses based menu system for character
based sessions. This menu program could be used to create user, system
administration, or utility menus for clients connecting with text
based clients such as telnet, ssh, or rlogin.

%description -l pl.UTF-8
Cursed Menu ma na celus tworzenie opartego o ncurses systemu menu dla
sesji tekstowych. Program ten pozwala na stworzenie menu uzytkownika,
administratora lub innych dla klientów korzystających z sesji
tekstowych, takich jak telnet, ssh czy rlogin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CPPFLAGS="%{rpmcflags} -I/usr/include/ncurses"
export CPPFLAGS
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog src/{default.cmd,sub.cmd,sub2.cmd}
%attr(755,root,root) %{_bindir}/*
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cursedmenu.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d5b08fb
- rel 6; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d13e1c
- release 5 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cee11ab
- ncurses rebuild
- release 4 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 29e5b9c
- ncurses rebuild
- release 3 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ef72a71
- release 2

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> c3e7091
- BR: ac,am,lt

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> b89da72
- new

